use iced::Color;

#[derive(Debug, Clone)]
pub enum Message {
    None,
    CreatFile,
    SetFileNameCreat(String),
    GoToLoadView,
    ForceToQuit,
    ChangeNbPerSec(String),
    Tick,
    AddPolygon(String),
    ChangeTeta(usize, f32),
    Remove(usize),
    ChangeSound(usize, String),
    Save,
    Load,
    FileNameChanged(String),
    TogglePaused,
    LengthChange(String),
    ChangeDelta(f32),
    AddPoint,
    RemovePoint,
    ClickedOnTimeLine(f32),
    ChangeDeltaString(String),
    SlidePointLeft,
    SlidePointRight,
    ChangeDegree(usize, String),

    ChooseColor(usize, Color),
    CancelColor(usize),
    SubmitColor(usize),
}
